<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Odbieranie plików</title>
</head>
<body>
<div>

<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function listDir($dir)
{
  if(!chdir($dir)){
    echo("Brak uprawnień...");
    return;
  }
  $dir = getcwd();
  if(!$fd = opendir($dir)){
    echo("Brak uprawnień...");
    return;
  }
  $dir = str_replace("\\", "/", $dir);
  if(($count = strlen($dir)) > 0){
    if($dir[$count - 1] == '/') $dir = substr($dir, 0, $count - 1);
  }
  while (($file = readdir($fd)) !== false){
    if($file == ".") continue;
    if(is_dir($dir."/".$file)){
      $link = "<a href=\"index.php?";
      $link .= "dir=".$dir."/".$file."\">".$file."</a>";
      echo("$link");
    }
    else{
     echo("$file");
    }
    echo("<br>");
  }
  closedir($fd);
}
if(isSet($_GET['dir'])){
  $dir = $_GET['dir'];
}
else{
  $dir = "/";
}
if($dir == '') $dir = "/";
listDir($dir);
?>

</div>
</body>
</html>
